curl -X GET https://checkout.noxpay.io/v2/naas/crossramp_checkout/NOXabc123 \
-H "api-key: <key>" \
-H "X-Timestamp: 2026-05-27T14:30:00Z" \
-H "X-Correlation-ID: a1b2c3d4-e5f6-4789-abcd-000000000001" \
-H "X-Signature: <assinatura-dos-headers>"
import requests
# Headers assinados
headers = sign_get_headers(private_key, "a1b2c3d4-e5f6-4789-abcd-000000000001")
headers["api-key"] = "<key>"
response = requests.get(
"https://checkout.noxpay.io/v2/naas/crossramp_checkout/NOXabc123",
headers=headers,
)
print(response.json())
// Headers assinados
const headers = signGETHeaders("a1b2c3d4-e5f6-4789-abcd-000000000001");
headers["api-key"] = "<key>";
const response = await fetch("https://checkout.noxpay.io/v2/naas/crossramp_checkout/NOXabc123", {
method: "GET",
headers,
});
const data = await response.json();
{
"end2end": "NOXabc123",
"component": "depositpix_v2",
"state": "QRCODE",
"status": { "en": "Pending", "pt": "Pendente" },
"substatus": { "en": "Awaiting Payment", "pt": "Aguardando Pagamento" },
"attributes": {
"quote": 5.45,
"currency_exit_received": "USDT (ETH)",
"amount_payment": 500.00,
"amount_received": 91.74,
"client_name": "João Silva",
"client_tax_id": "12345678900"
}
}
{ "error": "Not Found" }
NaaS — Crossramp Checkout
Consultar Checkout
GET /v2/naas/crossramp_checkout/ — retorna um checkout NaaS pelo seu ID end2end.
curl -X GET https://checkout.noxpay.io/v2/naas/crossramp_checkout/NOXabc123 \
-H "api-key: <key>" \
-H "X-Timestamp: 2026-05-27T14:30:00Z" \
-H "X-Correlation-ID: a1b2c3d4-e5f6-4789-abcd-000000000001" \
-H "X-Signature: <assinatura-dos-headers>"
import requests
# Headers assinados
headers = sign_get_headers(private_key, "a1b2c3d4-e5f6-4789-abcd-000000000001")
headers["api-key"] = "<key>"
response = requests.get(
"https://checkout.noxpay.io/v2/naas/crossramp_checkout/NOXabc123",
headers=headers,
)
print(response.json())
// Headers assinados
const headers = signGETHeaders("a1b2c3d4-e5f6-4789-abcd-000000000001");
headers["api-key"] = "<key>";
const response = await fetch("https://checkout.noxpay.io/v2/naas/crossramp_checkout/NOXabc123", {
method: "GET",
headers,
});
const data = await response.json();
{
"end2end": "NOXabc123",
"component": "depositpix_v2",
"state": "QRCODE",
"status": { "en": "Pending", "pt": "Pendente" },
"substatus": { "en": "Awaiting Payment", "pt": "Aguardando Pagamento" },
"attributes": {
"quote": 5.45,
"currency_exit_received": "USDT (ETH)",
"amount_payment": 500.00,
"amount_received": 91.74,
"client_name": "João Silva",
"client_tax_id": "12345678900"
}
}
{ "error": "Not Found" }
Parâmetros de caminho
| Parâmetro | Descrição |
|---|---|
end2end | Identificador end2end do checkout (ex: NOXabc123) |
Response 200 OK
Retorna o objeto de processo v2 padrão do checkout. Consulte os Statuses do Crossramp Checkout para todos os valores de status / substatus.
404 — checkout não encontrado ou não pertence a este correlation.
curl -X GET https://checkout.noxpay.io/v2/naas/crossramp_checkout/NOXabc123 \
-H "api-key: <key>" \
-H "X-Timestamp: 2026-05-27T14:30:00Z" \
-H "X-Correlation-ID: a1b2c3d4-e5f6-4789-abcd-000000000001" \
-H "X-Signature: <assinatura-dos-headers>"
import requests
# Headers assinados
headers = sign_get_headers(private_key, "a1b2c3d4-e5f6-4789-abcd-000000000001")
headers["api-key"] = "<key>"
response = requests.get(
"https://checkout.noxpay.io/v2/naas/crossramp_checkout/NOXabc123",
headers=headers,
)
print(response.json())
// Headers assinados
const headers = signGETHeaders("a1b2c3d4-e5f6-4789-abcd-000000000001");
headers["api-key"] = "<key>";
const response = await fetch("https://checkout.noxpay.io/v2/naas/crossramp_checkout/NOXabc123", {
method: "GET",
headers,
});
const data = await response.json();
{
"end2end": "NOXabc123",
"component": "depositpix_v2",
"state": "QRCODE",
"status": { "en": "Pending", "pt": "Pendente" },
"substatus": { "en": "Awaiting Payment", "pt": "Aguardando Pagamento" },
"attributes": {
"quote": 5.45,
"currency_exit_received": "USDT (ETH)",
"amount_payment": 500.00,
"amount_received": 91.74,
"client_name": "João Silva",
"client_tax_id": "12345678900"
}
}
{ "error": "Not Found" }
⌘I

